cordova.define("com.provider.activity.ProviderActivity", function(require, exports, module) {
var exec = require("cordova/exec");
var ProviderActivity = function() {
  this.openDialer = function( number, success, error ) {
    exec( success, error, "ProviderActivity", "openDialer", [ number ] );
  };

  this.bringAppToForeground = function() {
    exec( null, null, "ProviderActivity", "bringAppToForeground", [] );
  };

  this.startService = function() {
    exec( null, null, "ProviderActivity", "startService", [] );
  };

  this.stopService = function( success, error ) {
    exec( success, error, "ProviderActivity", "stopService", [] );
  };

  this.setSession = function( session, success, error ) {
    exec( success, error, "ProviderActivity", "setSession", [ session ] );
  };

  this.removeSession = function( success, error ) {
    exec( success, error, "ProviderActivity", "removeSession", [] );
  };

  this.showDirectionsOnGoogleMap = function( origin, destination, success, error ) {
    exec( success, error, "ProviderActivity", "showDirectionsOnGoogleMap", [ origin.lat, origin.lng, destination.lat, destination.lng ] );
  };
};

module.exports = new ProviderActivity();

});
